Skip to content

List seller's products

GET
/store/sellers/{id}/products

Активные товары продавца

Parameters

Path Parameters

id*

Seller (user) ID

Type
integer
Required

Query Parameters

cursor

Opaque cursor for pagination

Type
string
limit

Number of items per page

Type
integer
Minimum
1
Maximum
100
Default
20

Responses

Seller's active products

application/json
JSON
{
  
"data": [
  
  
{
  
  
  
"id": 0,
  
  
  
"title": "string",
  
  
  
"price": 2500,
  
  
  
"steering": "string",
  
  
  
"city_id": 0,
  
  
  
"region_id": 0,
  
  
  
"district_id": 0,
  
  
  
"metro_station_id": 0,
  
  
  
"metro_distance_m": 0,
  
  
  
"address_id": "string",
  
  
  
"images": [
  
  
  
  
{
  
  
  
  
  
"id": 0,
  
  
  
  
  
"thumbnail_webp": "string",
  
  
  
  
  
"thumbnail_jpeg": "string",
  
  
  
  
  
"medium_webp": "string",
  
  
  
  
  
"medium_jpeg": "string",
  
  
  
  
  
"large_webp": "string",
  
  
  
  
  
"large_jpeg": "string",
  
  
  
  
  
"status": "string",
  
  
  
  
  
"is_primary": true,
  
  
  
  
  
"sort_order": 0
  
  
  
  
}
  
  
  
],
  
  
  
"seller": {
  
  
  
  
"id": 5,
  
  
  
  
"display_name": "BMW Parts Store",
  
  
  
  
"avatar_url": "https://s3.partizap.ru/avatars/5.webp",
  
  
  
  
"city_id": 0,
  
  
  
  
"rating": "4.85",
  
  
  
  
"reviews_count": 127,
  
  
  
  
"products_count": 342,
  
  
  
  
"created_at": "string"
  
  
  
},
  
  
  
"published_at": "string"
  
  
}
  
],
  
"meta": {
  
  
"has_more": true,
  
  
"next_cursor": "abc123xyz"
  
}
}

Playground

Server
Variables
Key
Value

Samples

Powered by VitePress OpenAPI